//
// CameraPlanInternal.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct CameraPlanInternal: Codable {

    public var x: Decimal?
    public var y: Decimal?
    public var cameraId: UUID
    public var planId: Int

    public init(x: Decimal? = nil, y: Decimal? = nil, cameraId: UUID, planId: Int) {
        self.x = x
        self.y = y
        self.cameraId = cameraId
        self.planId = planId
    }

    public enum CodingKeys: String, CodingKey { 
        case x
        case y
        case cameraId = "camera_id"
        case planId = "plan_id"
    }

}
